<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class UbicacionController extends Controller {

    public function getPaises()
    {
        return response()->json(DB::table('tip_pais')->get());
    }

    public function getProvincias($pais_id)
    {
        return response()->json(DB::table('tip_provincia')->where('idPais', $pais_id)->get());
    }

    public function getPartidos($provincia_id)
    {
        return response()->json(DB::table('tip_partido')->where('idProvincia', $provincia_id)->get());
    }

    public function getLocalidades($partido_id)
    {
        return response()->json(DB::table('tip_localidad')->where('idPartido', $partido_id)->get());
    }
    
}
